glibmm: Glib::Value< T *, Enable > Class Template Reference

glibmm 2.89.1

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< T *, Enable > Class Template Reference
Generic Values

Specialization for pointers to instances of any type. More...

`#include <glibmm/value_custom.h>`

Inheritance diagram for Glib::Value< T *, Enable >:
[legend]

## Public Types
using | CppType
Public Types inherited from Glib::Value_Pointer< T * >
using | T
using | CppType

## Public Member Functions
void | set (const CppType & data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase & other)
ValueBase & | operator= (const ValueBase & other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue * value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue * | gobj ()
const GValue * | gobj () const
Public Member Functions inherited from Glib::Value_Pointer< T * >
void | set (CppType data)
CppType | get () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()
Static Public Member Functions inherited from Glib::Value_Pointer< T * >
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void * data)
void * | get_boxed () const
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase * data)
Glib::ObjectBase * | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

template <class T, typename Enable>
class Glib::Value< T *, Enable >

Specialization for pointers to instances of any type.

No attempt is made to manage the memory associated with the pointer, you must take care of that yourself.

## Member Typedef Documentation

## ◆ CppType

using Glib::Value< T, Enable >::CppType

## Member Function Documentation

## ◆ get()

CppType Glib::Value< T, Enable >::get | ( |  | ) | const
| inline

## ◆ set()

void Glib::Value< T, Enable >::set | ( | const CppType & | data | ) |
| inline

## ◆ value_type()

GType Glib::Value< T, Enable >::value_type | ( |  | ) |
| static